List client credentials
GET
/platform/clientauth/credentialsList client credentials for the specified organization
Authorization
Bearer Authorization<token>
In: header
Query Parameters
limit?integer
Pagination limit
offset?integer
Pagination offset
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/clientauthv1.ListClientCredentialsResponse",
"$ref-value": {
"properties": {
"credentials": {
"items": {
"$ref": "#/components/schemas/clientauthv1.ClientCredential",
"$ref-value": {
"properties": {
"alg": {
"type": "string"
},
"client_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"kid": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"total": {
"type": "integer"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/platform/clientauth/credentials"OK
application/json
{
"$ref": "#/components/schemas/clientauthv1.ListClientCredentialsResponse",
"$ref-value": {
"properties": {
"credentials": {
"items": {
"$ref": "#/components/schemas/clientauthv1.ClientCredential",
"$ref-value": {
"properties": {
"alg": {
"type": "string"
},
"client_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"kid": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"total": {
"type": "integer"
}
},
"type": "object"
}
}